using System;

namespace Takmicenje_2
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            int b = 0;
            for(int i = 0; i < t; i++)
            {
                string[] unos = Console.ReadLine().Split();
                int n = int.Parse(unos[0]);
                int m = int.Parse(unos[1]);
                int k = int.Parse(unos[2]);
                if (k < n)
                {
                    if (n % 2 == 0)
                    {
                        if (k % 2 ==0)
                        {
                            if (m >= k * zbirFakt(n / k))
                            {
                                Console.WriteLine("Tak");    
                            }
                            else
                            {
                                Console.WriteLine("Nie");
                            }
                        }
                        else if (k % 2 !=0)
                        {
                            if (n % k == 0)
                            {
                                if (m >= k * zbirFakt(n/k))
                                {
                                    Console.WriteLine("Tak");
                                }
                                else
                                {
                                    Console.WriteLine("Nie");
                                }
                            }
                            else if (n % k != 0)
                            {
                                if (m>=(n%k)*zbirFakt((n/k)+1)+((n/k)+1)*zbirFakt(n/k))
                                {
                                    Console.WriteLine("Tak");
                                }
                                else
                                {
                                    Console.WriteLine("Nie");
                                }
                            }
                        }
                    }
                    else if (n % 2 != 0)
                    {
                        if (k % 2 == 0)
                        {

                        }
                        else if (k % 2 != 0)
                        {

                        }
                    }
                }
            }  
        }
        static int zbirFakt(int n)
        {
            if (n == 0) return 0;
            return n + zbirFakt(n-1);
        }
    }
}